Subject: Re: [dtn-security] policy based key management
From: "Peter Lovell" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Date: Fri, 21 Nov 2008 11:40:23 -0500
List-Id: DTN Security Discussion <dtn-security.maillists.intel-research.net>

On Fri, Nov 21, 2008, [email-masked] <[email-masked]> wrote:

>Hi, 
>
>Will it be feasible to base the solution for Key management based on
>policy (like policy based routing) .. 
>
>We can broadcast the policy within a domain, and Then we can perform
>security services..(The broadcasting can be made deterministic or
>efficient using complex algorithms)... 
>
>1. Please comment on this option for Having key management for DTN
networks.. 
>2. Will it be a best scenario to show heterogeneity of DTN to have
>different network regions connected together, showing sensors, satellite
>and internet... 
>
>Looking forward for your comments... 
>
>thanks.. 
>
>Nasir Mumtaz
>PhD Student, Electronic Engineering
>CCSR, UniS 

Hi Nasir,

that's certainly possible -- how to do it is entirely up to you.

The Bundle Protocol and Bundle Security Protocol make no assumptions
about how keys are managed. The only requirement is that the key or an
identifier of some sort for the key be placed in the "key info" item.
The spec suggests that these be asn.1-encoded but that's only a
suggestion, not a requirement.

Stephen Farrell <[email-masked]> is very interested in work
on key management, as well as authentication and authorization. You
might have more conversations with him on this.

Cheers.....Peter

Content-class: urn:content-classes:message
Date: Fri, 21 Nov 2008 11:32:08 -0000
From: <[email-masked]>
To: <[email-masked]>
Subject: [dtn-security] policy based key management

This is a multi-part message in MIME format.

------_=_NextPart_001_01C94BCC.C9D82326
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Hi,=20

Will it be feasible to base the solution for Key management based on =
policy (like policy based routing) ..=20

We can broadcast the policy within a domain, and Then we can perform =
security services..(The broadcasting can be made deterministic or =
efficient using complex algorithms)...=20

1. Please comment on this option for Having key management for DTN =
networks..=20
2. Will it be a best scenario to show heterogeneity of DTN to have =
different network regions connected together, showing sensors, satellite =
and internet...=20

Looking forward for your comments...=20

thanks..=20

Nasir Mumtaz
PhD Student, Electronic Engineering
CCSR, UniS=20

------_=_NextPart_001_01C94BCC.C9D82326
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Diso-8859-1">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
6.5.7653.38">
<TITLE>policy based key management</TITLE>
</HEAD>
<BODY>
<!-- Converted from text/plain format -->

<P><FONT SIZE=3D2>Hi,<BR>
<BR>
Will it be feasible to base the solution for Key management based on =
policy (like policy based routing) ..<BR>
<BR>
We can broadcast the policy within a domain, and Then we can perform =
security services..(The broadcasting can be made deterministic or =
efficient using complex algorithms)...<BR>
<BR>
1. Please comment on this option for Having key management for DTN =
networks..<BR>
2. Will it be a best scenario to show heterogeneity of DTN to have =
different network regions connected together, showing sensors, satellite =
and internet...<BR>
<BR>
Looking forward for your comments...<BR>
<BR>
thanks..<BR>
<BR>
Nasir Mumtaz<BR>
PhD Student, Electronic Engineering<BR>
CCSR, UniS<BR>
<BR>
</FONT>
</P>

</BODY>
</HTML>
------_=_NextPart_001_01C94BCC.C9D82326--

From: "S. Keshav" <[email-masked]>
To: [email-masked]
Date: Wed, 5 Nov 2008 11:00:08 -0500
Subject: [dtn-security] Fwd: Can you please allow my email to this list?

> Hi,
> 	You may find the following paper of interest:
>
> S. Ur Rahman, U. Hengartner, U. Ismail and S. Keshav, Practical  
> Security for Rural Internet Kiosks, Proc. of ACM SIGCOMM Workshop on  
> Networked Systems for Developing Regions (NSDR 2008), Seattle WA,  
> August 2008.
> (http://www.cs.uwaterloo.ca/~surrahman/papers/pracsec-rural-kiosks_nsdr08.pdf 
> ).
>
> This discusses a full implementation of PKI (available as open  
> source from our site) in the context of KioskNet, which transports  
> data using DTN principles.
>
> keshav
>
> On Nov 4, 2008, at 8:54 AM, <[email-masked]> wrote:
>
>> Hi All,
>> I am new to the mailing list and will first of all like to say hi  
>> to everybody. I am at presenting carrying out a research in DTN  
>> Security with emphasis on Authentication and Authorization. I will  
>> like to know if anybody has done anything research area. Imput and  
>> advice will be appreciated
>>
>> Thank you
>>
>> EH Johnson
>>
>>
>>
>> _______________________________________________
>> dtn-security mailing list
>> [email-masked]
>> http://maillists.intel-research.net/mailman/listinfo/dtn-security
>
>

Date: Wed, 5 Nov 2008 03:53:27 -0800 (PST)
From: godwin ansa <[email-masked]>
To: Kevin Fall <[email-masked]>, [email-masked]
Cc: [email-masked]
Subject: Re: [dtn-security] Issues on Denial of Service in DTN

--0-55669413-1225886007=:16183
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

thanks Kevin, truly appreciated.=0A=0AGodwin.=0A=0A=0A=0A=0A_______________=
_________________=0AFrom: Kevin Fall <[email-masked]>=0ATo: godwin a=
nsa <[email-masked]>=0ACc: [email-masked]=0ASent: Wednesday, N=
ovember 5, 2008 12:40:13 AM=0ASubject: Re: [dtn-security] Issues on Denial =
of Service in DTN=0A=0AMight not be exactly what you are looking for, but h=
ere is something to know about: =0A=0Ahttp://portal.acm.org/citation.cfm?id=
=3D1288116=0A=0A- K=0A=0A=0A=0AOn Nov 4, 2008, at Nov 44:13 PMPST, godwin a=
nsa wrote:=0A=0AHi everyone,=0A=A0=0AI am very new to the DTN-Security foru=
m and my research is on=A0Denial of Service attacks in Delay/Disruption Tol=
erant Networks.=A0I will be glad to hear from any member of the forum on ho=
w DOS issues are approached in DTN. Any advice, suggestions and contributio=
ns will be highly appreciated.=0A=A0=0Athank you in anticipation.=0A=A0=0AG=
odwin Ansa=0A_______________________________________________=0Adtn-security=
 mailing list=[email-masked]=0Ahttp://maillist=
s.intel-research.net/mailman/listinfo/dtn-security=0A=0A=0A      
--0-55669413-1225886007=:16183
Content-Type: text/html; charset=us-ascii

<html><head><style type="text/css"><!-- DIV {margin:0px;} --></style></head><body><div style="font-family:Courier New, courier, monaco, monospace, sans-serif;font-size:10pt"><DIV>thanks Kevin, truly appreciated.</DIV>
<DIV>&nbsp;</DIV>
<DIV>Godwin.<BR></DIV>
<DIV style="FONT-FAMILY: Courier New, courier, monaco, monospace, sans-serif; FONT-SIZE: 10pt"><BR>
<DIV style="FONT-FAMILY: times new roman, new york, times, serif; FONT-SIZE: 12pt"><FONT size=2 face=Tahoma>
<HR SIZE=1>
<B><SPAN style="FONT-WEIGHT: bold">From:</SPAN></B> Kevin Fall &lt;[email-masked]&gt;<BR><B><SPAN style="FONT-WEIGHT: bold">To:</SPAN></B> godwin ansa &lt;[email-masked]&gt;<BR><B><SPAN style="FONT-WEIGHT: bold">Cc:</SPAN></B> [email-masked]<BR><B><SPAN style="FONT-WEIGHT: bold">Sent:</SPAN></B> Wednesday, November 5, 2008 12:40:13 AM<BR><B><SPAN style="FONT-WEIGHT: bold">Subject:</SPAN></B> Re: [dtn-security] Issues on Denial of Service in DTN<BR></FONT><BR>Might not be exactly what you are looking for, but here is something to know about:
<DIV><BR></DIV>
<DIV><A target=_blank href="http://portal.acm.org/citation.cfm?id=1288116" rel=nofollow>http://portal.acm.org/citation.cfm?id=1288116</A></DIV>
<DIV><BR></DIV>
<DIV>- K</DIV>
<DIV><BR></DIV>
<DIV><BR>
<DIV>
<DIV>On Nov 4, 2008, at Nov 44:13 PMPST, godwin ansa wrote:</DIV><BR class=Apple-interchange-newline>
<BLOCKQUOTE type="cite"><SPAN style="TEXT-TRANSFORM: none; TEXT-INDENT: 0px; BORDER-COLLAPSE: separate; FONT: 18px Helvetica; WHITE-SPACE: normal; LETTER-SPACING: normal; COLOR: rgb(0,0,0); WORD-SPACING: 0px" class=Apple-style-span>
<DIV>
<DIV style="MARGIN: 0px; FONT-FAMILY: 'Courier New', courier, monaco, monospace, sans-serif; FONT-SIZE: 10pt">
<DIV style="MARGIN: 0px">
<DIV style="MARGIN: 0px"><FONT size=2 face=Arial>Hi everyone,</FONT></DIV>
<DIV style="MARGIN: 0px"><FONT size=2 face=Arial></FONT>&nbsp;</DIV>
<DIV style="MARGIN: 0px"><FONT size=2 face=Arial>I am very new to the DTN-Security forum and my research is on&nbsp;Denial of Service attacks in Delay/Disruption Tolerant Networks.&nbsp;I will be glad to hear from any member of the forum on how DOS issues are approached in DTN. Any advice, suggestions and contributions will be highly appreciated.</FONT></DIV>
<DIV style="MARGIN: 0px"><FONT size=2 face=Arial></FONT>&nbsp;</DIV>
<DIV style="MARGIN: 0px"><FONT size=2 face=Arial>thank you in anticipation.</FONT></DIV>
<DIV style="MARGIN: 0px"><FONT size=2 face=Arial></FONT>&nbsp;</DIV>
<DIV style="MARGIN: 0px"><FONT size=2 face=Arial>Godwin Ansa</FONT></DIV></DIV></DIV><BR>_______________________________________________<BR>dtn-security mailing list<BR><A target=_blank href="mailto:[email-masked]" rel=nofollow ymailto="mailto:[email-masked]">[email-masked]</A><BR><A target=_blank href="http://maillists.intel-research.net/mailman/listinfo/dtn-security" rel=nofollow>http://maillists.intel-research.net/mailman/listinfo/dtn-security</A><BR></DIV></SPAN></BLOCKQUOTE></DIV><BR></DIV></DIV></DIV></div><br>

      </body></html>
--0-55669413-1225886007=:16183--

Date: Tue, 4 Nov 2008 16:13:21 -0800 (PST)
From: godwin ansa <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Subject: [dtn-security] Issues on Denial of Service in DTN

--0-1247230388-1225844001=:20345
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

Hi everyone,=0A=A0=0AI am very new to the DTN-Security forum and my researc=
h is on=A0Denial of Service attacks in Delay/Disruption Tolerant Networks.=
=A0I will be glad to hear from any member of the forum on how DOS issues ar=
e approached in DTN. Any advice, suggestions and contributions will be high=
ly appreciated.=0A=A0=0Athank you in anticipation.=0A=A0=0AGodwin Ansa=0A=
=0A=0A      
--0-1247230388-1225844001=:20345
Content-Type: text/html; charset=us-ascii

<html><head><style type="text/css"><!-- DIV {margin:0px;} --></style></head><body><div style="font-family:Courier New, courier, monaco, monospace, sans-serif;font-size:10pt"><DIV>
<DIV><FONT size=2 face=Arial>Hi everyone,</FONT></DIV>
<DIV><FONT size=2 face=Arial></FONT>&nbsp;</DIV>
<DIV><FONT size=2 face=Arial>I am very new to the DTN-Security forum and my research is on&nbsp;Denial of Service attacks in Delay/Disruption Tolerant Networks.&nbsp;I will be glad to hear from any member of the forum on how DOS issues are approached in DTN. Any advice, suggestions and contributions will be highly appreciated.</FONT></DIV>
<DIV><FONT size=2 face=Arial></FONT>&nbsp;</DIV>
<DIV><FONT size=2 face=Arial>thank you in anticipation.</FONT></DIV>
<DIV><FONT size=2 face=Arial></FONT>&nbsp;</DIV>
<DIV><FONT size=2 face=Arial>Godwin Ansa</FONT></DIV></DIV></div><br>

      </body></html>
--0-1247230388-1225844001=:20345--

Date: Tue, 4 Nov 2008 16:13:21 -0800 (PST)
From: godwin ansa <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Subject: [dtn-security] Issues on Denial of Service in DTN

--0-1247230388-1225844001=:20345
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

Hi everyone,=0A=A0=0AI am very new to the DTN-Security forum and my researc=
h is on=A0Denial of Service attacks in Delay/Disruption Tolerant Networks.=
=A0I will be glad to hear from any member of the forum on how DOS issues ar=
e approached in DTN. Any advice, suggestions and contributions will be high=
ly appreciated.=0A=A0=0Athank you in anticipation.=0A=A0=0AGodwin Ansa=0A=
=0A=0A      
--0-1247230388-1225844001=:20345
Content-Type: text/html; charset=us-ascii

<html><head><style type="text/css"><!-- DIV {margin:0px;} --></style></head><body><div style="font-family:Courier New, courier, monaco, monospace, sans-serif;font-size:10pt"><DIV>
<DIV><FONT size=2 face=Arial>Hi everyone,</FONT></DIV>
<DIV><FONT size=2 face=Arial></FONT>&nbsp;</DIV>
<DIV><FONT size=2 face=Arial>I am very new to the DTN-Security forum and my research is on&nbsp;Denial of Service attacks in Delay/Disruption Tolerant Networks.&nbsp;I will be glad to hear from any member of the forum on how DOS issues are approached in DTN. Any advice, suggestions and contributions will be highly appreciated.</FONT></DIV>
<DIV><FONT size=2 face=Arial></FONT>&nbsp;</DIV>
<DIV><FONT size=2 face=Arial>thank you in anticipation.</FONT></DIV>
<DIV><FONT size=2 face=Arial></FONT>&nbsp;</DIV>
<DIV><FONT size=2 face=Arial>Godwin Ansa</FONT></DIV></DIV></div><br>

      </body></html>
--0-1247230388-1225844001=:20345--

Date: Tue, 4 Nov 2008 11:21:40 -0500
From: "Mooi Choo Chuah" <[email-masked]>
To: "Stephen Farrell" <[email-masked]>
Cc: [email-masked], [email-masked]
Subject: Re: [dtn-security] Authentication and Authorization in DTN

------=_Part_61356_25489553.1225815700850
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Dear all,
My group at Lehigh University has an implementation of a
simple identity-based key distribution scheme  that works with Peter's BSP
implementation. Unfortunately, we used miracl library and hence this can
only be released to academic researchers. We also use Stanford's PBC
library. We haven't tried out the security features with fragmentation
feature yet.

I am extremely busy this semester and hence haven't got a chance to update
the dtnrg website to indicate that anyone in the academic world interested
in playing with this code can send me an email.

We are hoping to swap out the miracl library so that our code merely uses
Stanford's PBC library. But due to other more urgent activities, we haven't
got time to do that yet.

Mooi Choo

On Tue, Nov 4, 2008 at 10:22 AM, Stephen Farrell
<[email-masked]>wrote:

>
> Well, I'd love to see someone try to tackle key mgmt anyway
> (there's an expired I-D with some requirements there).
>
> As Keith also said fragmentation mixed with security is also
> crying out for some better solution.
>
> There's also some (possibly easier) work that could be done
> on authorization, e.g. looking at how one might do something
> analagous to RADIUS in DTNs. (In particular, answering the
> question: "why should I take your bundles into custody?")
>
> S.
>
> Scott, Keith L. wrote:
> > The DTN architecture document (RFC4838) discusses DTN security, and
> > there are a couple of internet drafts (draft-irtf-dtnrg-sec-overview-05
> > and draft-irtf-dtnrg-bundle-security-06).
> >
> >
> >
> > There's not been a lot of work done in how to do key management in
> > DTNs.  Perhaps someone more knowledgeable than I could reply with a
> > concise description of the problem and issues.
> >
> >
> >
> > There's also no satisfactory (IMHO) resolution between the Bundle
> > Authentication Block processing and reactive fragmentation.
> >
> >
> >
> >                                 --keith
> >
> >
> >
> > *From:* [email-masked]
> > [mailto:[email-masked]] *On Behalf Of
> > [email-masked]
> > *Sent:* Tuesday, November 04, 2008 8:55 AM
> > *To:* [email-masked]
> > *Subject:* [dtn-security] Authentication and Authorization in DTN
> >
> >
> >
> > Hi All,
> > I am new to the mailing list and will first of all like to say hi to
> > everybody. I am at presenting carrying out a research in DTN Security
> > with emphasis on Authentication and Authorization. I will like to know
> > if anybody has done anything research area. Imput and advice will be
> > appreciated
> >
> > Thank you
> >
> > EH Johnson
> >
> >
> > ------------------------------------------------------------------------
> >
> > _______________________________________________
> > dtn-security mailing list
> > [email-masked]
> > http://maillists.intel-research.net/mailman/listinfo/dtn-security
> _______________________________________________
> dtn-security mailing list
> [email-masked]
> http://maillists.intel-research.net/mailman/listinfo/dtn-security
>

------=_Part_61356_25489553.1225815700850
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

<div>Dear all,</div>
<div>My group at Lehigh University has an implementation of a simple&nbsp;identity-based key distribution scheme&nbsp;&nbsp;that works with Peter&#39;s BSP implementation. Unfortunately, we used miracl library and hence this can only be released to academic researchers. We also use Stanford&#39;s PBC library. We haven&#39;t tried out the security features with fragmentation feature yet.</div>

<div>&nbsp;</div>
<div>I am extremely busy this semester and hence haven&#39;t got a chance to update</div>
<div>the dtnrg website to indicate that anyone in the academic world&nbsp;interested in playing with this code can send me an email.</div>
<div>&nbsp;</div>
<div>We are hoping to swap out the miracl library so that our code merely uses Stanford&#39;s PBC library. But due to other more urgent activities, we haven&#39;t got time to do that yet. </div>
<div>&nbsp;</div>
<div>Mooi Choo<br><br></div>
<div class="gmail_quote">On Tue, Nov 4, 2008 at 10:22 AM, Stephen Farrell <span dir="ltr">&lt;<a href="mailto:[email-masked]">[email-masked]</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="PADDING-LEFT: 1ex; MARGIN: 0px 0px 0px 0.8ex; BORDER-LEFT: #ccc 1px solid"><br>Well, I&#39;d love to see someone try to tackle key mgmt anyway<br>(there&#39;s an expired I-D with some requirements there).<br>
<br>As Keith also said fragmentation mixed with security is also<br>crying out for some better solution.<br><br>There&#39;s also some (possibly easier) work that could be done<br>on authorization, e.g. looking at how one might do something<br>
analagous to RADIUS in DTNs. (In particular, answering the<br>question: &quot;why should I take your bundles into custody?&quot;)<br><br>S.<br>
<div>
<div></div>
<div class="Wj3C7c"><br>Scott, Keith L. wrote:<br>&gt; The DTN architecture document (RFC4838) discusses DTN security, and<br>&gt; there are a couple of internet drafts (draft-irtf-dtnrg-sec-overview-05<br>&gt; and draft-irtf-dtnrg-bundle-security-06).<br>
&gt;<br>&gt;<br>&gt;<br>&gt; There's not been a lot of work done in how to do key management in<br>&gt; DTNs. &nbsp;Perhaps someone more knowledgeable than I could reply with a<br>&gt; concise description of the problem and issues.<br>
&gt;<br>&gt;<br>&gt;<br>&gt; There's also no satisfactory (IMHO) resolution between the Bundle<br>&gt; Authentication Block processing and reactive fragmentation.<br>&gt;<br>&gt;<br>&gt;<br>&gt; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; --keith<br>
&gt;<br>&gt;<br>&gt;<br>&gt; *From:* <a href="mailto:[email-masked]">[email-masked]</a><br>&gt; [mailto:<a href="mailto:[email-masked]">[email-masked]</a>] *On Behalf Of<br>
&gt; *<a href="mailto:[email-masked]">[email-masked]</a><br>&gt; *Sent:* Tuesday, November 04, 2008 8:55 AM<br>&gt; *To:* <a href="mailto:[email-masked]">[email-masked]</a><br>
&gt; *Subject:* [dtn-security] Authentication and Authorization in DTN<br>&gt;<br>&gt;<br>&gt;<br>&gt; Hi All,<br>&gt; I am new to the mailing list and will first of all like to say hi to<br>&gt; everybody. I am at presenting carrying out a research in DTN Security<br>
&gt; with emphasis on Authentication and Authorization. I will like to know<br>&gt; if anybody has done anything research area. Imput and advice will be<br>&gt; appreciated<br>&gt;<br>&gt; Thank you<br>&gt;<br>&gt; EH Johnson<br>
&gt;<br>&gt;<br></div></div>&gt; ------------------------------------------------------------------------<br>&gt;<br>&gt; _______________________________________________<br>&gt; dtn-security mailing list<br>
<div class="Ih2E3d">&gt; <a href="mailto:[email-masked]">[email-masked]</a><br></div>&gt; <a href="http://maillists.intel-research.net/mailman/listinfo/dtn-security" target="_blank">http://maillists.intel-research.net/mailman/listinfo/dtn-security</a><br>
_______________________________________________<br>dtn-security mailing list<br>
<div class="Ih2E3d"><a href="mailto:[email-masked]">[email-masked]</a><br></div><a href="http://maillists.intel-research.net/mailman/listinfo/dtn-security" target="_blank">http://maillists.intel-research.net/mailman/listinfo/dtn-security</a><br>
</blockquote></div><br>

------=_Part_61356_25489553.1225815700850--

Date: Tue, 04 Nov 2008 15:22:18 +0000
From: Stephen Farrell <[email-masked]>
To: "Scott, Keith L." <[email-masked]>
Cc: [email-masked], [email-masked]
Subject: Re: [dtn-security] Authentication and Authorization in DTN

Well, I'd love to see someone try to tackle key mgmt anyway
(there's an expired I-D with some requirements there).

As Keith also said fragmentation mixed with security is also
crying out for some better solution.

There's also some (possibly easier) work that could be done
on authorization, e.g. looking at how one might do something
analagous to RADIUS in DTNs. (In particular, answering the
question: "why should I take your bundles into custody?")

S.

Scott, Keith L. wrote:
> The DTN architecture document (RFC4838) discusses DTN security, and
> there are a couple of internet drafts (draft-irtf-dtnrg-sec-overview-05
> and draft-irtf-dtnrg-bundle-security-06).
> 
>  
> 
> There’s not been a lot of work done in how to do key management in
> DTNs.  Perhaps someone more knowledgeable than I could reply with a
> concise description of the problem and issues.
> 
>  
> 
> There’s also no satisfactory (IMHO) resolution between the Bundle
> Authentication Block processing and reactive fragmentation.
> 
>  
> 
>                                 --keith
> 
>  
> 
> *From:* [email-masked]
> [mailto:[email-masked]] *On Behalf Of
> [email-masked]
> *Sent:* Tuesday, November 04, 2008 8:55 AM
> *To:* [email-masked]
> *Subject:* [dtn-security] Authentication and Authorization in DTN
> 
>  
> 
> Hi All,
> I am new to the mailing list and will first of all like to say hi to
> everybody. I am at presenting carrying out a research in DTN Security
> with emphasis on Authentication and Authorization. I will like to know
> if anybody has done anything research area. Imput and advice will be
> appreciated
> 
> Thank you
> 
> EH Johnson
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> dtn-security mailing list
> [email-masked]
> http://maillists.intel-research.net/mailman/listinfo/dtn-security

Content-class: urn:content-classes:message
Date: Tue, 4 Nov 2008 09:50:48 -0500
From: "Scott, Keith L." <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Subject: Re: [dtn-security] Authentication and Authorization in DTN

This is a multi-part message in MIME format.

------_=_NextPart_001_01C93E8C.BA3675EA
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

The DTN architecture document (RFC4838) discusses DTN security, and
there are a couple of internet drafts (draft-irtf-dtnrg-sec-overview-05
and draft-irtf-dtnrg-bundle-security-06).

=20

There's not been a lot of work done in how to do key management in
DTNs.  Perhaps someone more knowledgeable than I could reply with a
concise description of the problem and issues.

=20

There's also no satisfactory (IMHO) resolution between the Bundle
Authentication Block processing and reactive fragmentation.

=20

                                --keith

=20

From: [email-masked]
[mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: Tuesday, November 04, 2008 8:55 AM
To: [email-masked]
Subject: [dtn-security] Authentication and Authorization in DTN

=20

Hi All,
I am new to the mailing list and will first of all like to say hi to
everybody. I am at presenting carrying out a research in DTN Security
with emphasis on Authentication and Authorization. I will like to know
if anybody has done anything research area. Imput and advice will be
appreciated

Thank you

EH Johnson

------_=_NextPart_001_01C93E8C.BA3675EA
Content-Type: text/html;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" =
xmlns:o=3D"urn:schemas-microsoft-com:office:office" =
xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" =
xmlns=3D"http://www.w3.org/TR/REC-html40">

<head>
<meta http-equiv=3DContent-Type content=3D"text/html; =
charset=3Dus-ascii">
<meta name=3DGenerator content=3D"Microsoft Word 12 (filtered medium)">
<title>Authentication and Authorization in DTN</title>
<style>
<!--
 /* Font Definitions */
 @font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
@font-face
	{font-family:Tahoma;
	panose-1:2 11 6 4 3 5 4 4 2 4;}
 /* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:12.0pt;
	font-family:"Times New Roman","serif";}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:purple;
	text-decoration:underline;}
p
	{mso-style-priority:99;
	mso-margin-top-alt:auto;
	margin-right:0in;
	mso-margin-bottom-alt:auto;
	margin-left:0in;
	font-size:12.0pt;
	font-family:"Times New Roman","serif";}
span.EmailStyle18
	{mso-style-type:personal-reply;
	font-family:"Calibri","sans-serif";
	color:#1F497D;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-size:10.0pt;}
@page Section1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.Section1
	{page:Section1;}
-->
</style>
<!--[if gte mso 9]><xml>
 <o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
 <o:shapelayout v:ext=3D"edit">
  <o:idmap v:ext=3D"edit" data=3D"1" />
 </o:shapelayout></xml><![endif]-->
</head>

<body lang=3DEN-US link=3Dblue vlink=3Dpurple>

<div class=3DSection1>

<p class=3DMsoNormal><span =
style=3D'font-size:11.0pt;font-family:"Calibri","sans-serif";
color:#1F497D'>The DTN architecture document (RFC4838) discusses DTN =
security,
and there are a couple of internet drafts =
(draft-irtf-dtnrg-sec-overview-05 and
draft-irtf-dtnrg-bundle-security-06).<o:p></o:p></span></p>

<p class=3DMsoNormal><span =
style=3D'font-size:11.0pt;font-family:"Calibri","sans-serif";
color:#1F497D'><o:p>&nbsp;</o:p></span></p>

<p class=3DMsoNormal><span =
style=3D'font-size:11.0pt;font-family:"Calibri","sans-serif";
color:#1F497D'>There&#8217;s not been a lot of work done in how to do =
key
management in DTNs.&nbsp; Perhaps someone more knowledgeable than I =
could reply
with a concise description of the problem and =
issues.<o:p></o:p></span></p>

<p class=3DMsoNormal><span =
style=3D'font-size:11.0pt;font-family:"Calibri","sans-serif";
color:#1F497D'><o:p>&nbsp;</o:p></span></p>

<p class=3DMsoNormal><span =
style=3D'font-size:11.0pt;font-family:"Calibri","sans-serif";
color:#1F497D'>There&#8217;s also no satisfactory (IMHO) resolution =
between the
Bundle Authentication Block processing and reactive =
fragmentation.<o:p></o:p></span></p>

<p class=3DMsoNormal><span =
style=3D'font-size:11.0pt;font-family:"Calibri","sans-serif";
color:#1F497D'><o:p>&nbsp;</o:p></span></p>

<p class=3DMsoNormal><span =
style=3D'font-size:11.0pt;font-family:"Calibri","sans-serif";
color:#1F497D'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
--keith<o:p></o:p></span></p>

<p class=3DMsoNormal><span =
style=3D'font-size:11.0pt;font-family:"Calibri","sans-serif";
color:#1F497D'><o:p>&nbsp;</o:p></span></p>

<div>

<div style=3D'border:none;border-top:solid #B5C4DF 1.0pt;padding:3.0pt =
0in 0in 0in'>

<p class=3DMsoNormal style=3D'margin-left:.5in'><b><span =
style=3D'font-size:10.0pt;
font-family:"Tahoma","sans-serif"'>From:</span></b><span =
style=3D'font-size:10.0pt;
font-family:"Tahoma","sans-serif"'> =
[email-masked]
[mailto:[email-masked]] <b>On Behalf =
Of </b>[email-masked]<br>
<b>Sent:</b> Tuesday, November 04, 2008 8:55 AM<br>
<b>To:</b> [email-masked]<br>
<b>Subject:</b> [dtn-security] Authentication and Authorization in =
DTN<o:p></o:p></span></p>

</div>

</div>

<p class=3DMsoNormal style=3D'margin-left:.5in'><o:p>&nbsp;</o:p></p>

<p =
style=3D'mso-margin-top-alt:5.0pt;margin-right:0in;margin-bottom:12.0pt;
margin-left:.5in'><span style=3D'font-size:10.0pt'>Hi All,<br>
I am new to the mailing list and will first of all like to say hi to =
everybody.
I am at presenting carrying out a research in DTN Security with emphasis =
on
Authentication and Authorization. I will like to know if anybody has =
done
anything research area. Imput and advice will be appreciated<br>
<br>
Thank you<br>
<br>
EH Johnson<br>
<br>
</span><o:p></o:p></p>

</div>

</body>

</html>

------_=_NextPart_001_01C93E8C.BA3675EA--

Content-class: urn:content-classes:message
Date: Tue, 4 Nov 2008 13:54:35 -0000
From: <[email-masked]>
To: <[email-masked]>
Subject: [dtn-security] Authentication and Authorization in DTN

This is a multi-part message in MIME format.

------_=_NextPart_001_01C93E84.DF22CB90
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Hi All,
I am new to the mailing list and will first of all like to say hi to =
everybody. I am at presenting carrying out a research in DTN Security =
with emphasis on Authentication and Authorization. I will like to know =
if anybody has done anything research area. Imput and advice will be =
appreciated

Thank you

EH Johnson=20

------_=_NextPart_001_01C93E84.DF22CB90
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Diso-8859-1">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
6.5.7652.24">
<TITLE>Authentication and Authorization in DTN</TITLE>
</HEAD>
<BODY>
<!-- Converted from text/plain format -->

<P><FONT SIZE=3D2>Hi All,<BR>
I am new to the mailing list and will first of all like to say hi to =
everybody. I am at presenting carrying out a research in DTN Security =
with emphasis on Authentication and Authorization. I will like to know =
if anybody has done anything research area. Imput and advice will be =
appreciated<BR>
<BR>
Thank you<BR>
<BR>
EH Johnson<BR>
<BR>
<BR>
</FONT>
</P>

</BODY>
</HTML>
------_=_NextPart_001_01C93E84.DF22CB90--